/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.common.dto;

import jp.mosp.common.common.BaseDto;

/**
 * @author yoshida
 *
 */
public class CtWorkflowCommentDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3241604511136459731L;
	
	// フィールド
	private long				commentid			= 0;					//コメントID
	private long				workflow			= 0;					//ワークフロー番号
	private String				kcode				= "";					//社員コード
	private String				target				= "";					//対象者
	private String				authorcomment		= "";					//コメント
	private int					deleteflag			= 0;					//削除フラグ
																			
	
	/**
	 * コンストラクタ
	 */
	public CtWorkflowCommentDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return コメントID
	 */
	public long getCommentId() {
		return commentid;
	}
	
	/**
	 * @return ワークフロー番号
	 */
	public long getWorkflow() {
		return workflow;
	}
	
	/**
	 * @return 社員コード
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return 対象者
	 */
	public String getTarget() {
		return target;
	}
	
	/**
	 * @return コメント
	 */
	public String getAuthorComment() {
		return authorcomment;
	}
	
	/**
	 * @return 削除フラグ
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param commentid コメントID
	 */
	public void setCommentId(long commentid) {
		this.commentid = commentid;
	}
	
	/**
	 * @param workflow ワークフロー番号
	 */
	public void setWorkflow(long workflow) {
		this.workflow = workflow;
	}
	
	/**
	 * @param kcode 社員コード
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param target 対象者
	 */
	public void setTarget(String target) {
		this.target = target;
	}
	
	/**
	 * @param authorcomment コメント
	 */
	public void setAuthorComment(String authorcomment) {
		this.authorcomment = authorcomment;
	}
	
	/**
	 * @param deleteflag 削除フラグ
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
